<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use App\Models\Tag;

class TagSeeder extends Seeder
{
    private $tags = [
        'Buebepfadi',
        'Meitlipfadi',
        'Lager',
        'Anlässe',
        'Leitendenanlässe',
    ];

    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        foreach ($this->tags as $index => $title) {
            Tag::updateOrCreate(['id' => $index + 1], ['title' => $title]);
        }

    }
}
